summaryrefslogtreecommitdiffstats
path: root/source/n/epic5
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xsource/n/epic5/epic5.SlackBuild (renamed from source/n/epic4/epic4.SlackBuild)49
-rw-r--r--source/n/epic5/slack-desc (renamed from source/n/epic4/slack-desc)22
2 files changed, 45 insertions, 26 deletions
diff --git a/source/n/epic4/epic4.SlackBuild b/source/n/epic5/epic5.SlackBuild
index 0143b6eb2..fb7aa1fdd 100755
--- a/source/n/epic4/epic4.SlackBuild
+++ b/source/n/epic5/epic5.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,20 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=2.8
-HELPFILE=20070509
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-2}
+VERSION=1.1.2
+EPICVER=5
+HELPFILE=current
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -33,18 +43,20 @@ elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
fi
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-epic4
+PKG=$TMP/package-epic${EPICVER}
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf epic4-$VERSION
-tar xvf $CWD/epic4-$VERSION.tar.bz2 || exit 1
-cd epic4-$VERSION || exit 1
+rm -rf epic${EPICVER}-$VERSION
+tar xvf $CWD/epic${EPICVER}-$VERSION.tar.?z* || exit 1
+cd epic${EPICVER}-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -60,19 +72,26 @@ CFLAGS="$SLKCFLAGS" \
make $NUMJOBS || make || exit 1
make install IP=$PKG || exit 1
-( cd $PKG/usr/share/epic
- tar xvf $CWD/epic4-help-${HELPFILE}.tar.bz2 || exit 1
+( cd $PKG/usr/share/epic${EPICVER}
+ tar xvf $CWD/epic-help-${HELPFILE}.tar.?z* || exit 1
chown -R root:root .
) || exit 1
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-mkdir -p $PKG/usr/doc/epic4-$VERSION
+mkdir -p $PKG/usr/doc/epic${EPICVER}-$VERSION
cp -a \
BUG_FORM COPYRIGHT INSTALL KNOWNBUGS README* UPDATES VOTES doc \
- $PKG/usr/doc/epic4-$VERSION
-rm -f $PKG/usr/doc/epic4-$VERSION/doc/*.1
+ $PKG/usr/doc/epic${EPICVER}-$VERSION
+rm -f $PKG/usr/doc/epic${EPICVER}-$VERSION/doc/*.1
+
+# This is way too much. See the source if you care.
+if [ -r UPDATES ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat UPDATES | head -n 1000 > $DOCSDIR/UPDATES
+ touch -r UPDATES $DOCSDIR/UPDATES
+fi
gzip -9 $PKG/usr/man/man?/*.?
@@ -84,5 +103,5 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/epic4-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/epic${EPICVER}-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/n/epic4/slack-desc b/source/n/epic5/slack-desc
index c17b4b549..43cb81a36 100644
--- a/source/n/epic4/slack-desc
+++ b/source/n/epic5/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-epic4: epic4 (Internet Relay Chat client)
-epic4:
-epic4: EPIC is the (E)nhanced (P)rogrammable (I)RC-II (C)lient.
-epic4:
-epic4: The EPIC home page is: http://www.epicsol.org/
-epic4: The EPIC main ftp site is: ftp://ftp.epicsol.org/
-epic4: The EPIC IRC channel is: #epic on EFNet
-epic4:
-epic4:
-epic4:
-epic4:
+epic5: epic5 (Internet Relay Chat client)
+epic5:
+epic5: EPIC is the (E)nhanced (P)rogrammable (I)RC-II (C)lient.
+epic5:
+epic5: The EPIC home page is: http://www.epicsol.org/
+epic5: The EPIC main ftp site is: ftp://ftp.epicsol.org/
+epic5: The EPIC IRC channel is: #epic on EFNet
+epic5:
+epic5:
+epic5:
+epic5: